Skip to main content
PATCH
Update a merchant information as a customer support agent

Authorizations

X-API-Key
string
header
required

Path Parameters

tenant_id
string<uuid>
required

Body

Serializer for updating core information of a Merchant.

This serializer handles the validation and serialization of the data required to update the core details of a Merchant. It is used in the API endpoint that allows customer support to update merchant information.

Supported Fields: - name: Business name of the merchant. - business_email: Email address used for business communications. - support_email: Contact email address for support inquiries. - tax_identification_number: Unique tax identification number issued by tax authorities. - registration_number: Government-issued registration number with the corporate affairs commission. - address: Physical address of the merchant's business.

name
string

The name of the business

Maximum string length: 255
business_email
string<email> | null

Company registration email address

Maximum string length: 254
support_email
string<email> | null

The contact email address of the business, for support if any

Maximum string length: 254
tax_identification_number
string | null

Unique tax identification number issued by federal or inland revenue service

Maximum string length: 40
registration_number
string | null

Government-issued registration number with the CAC

Maximum string length: 40
address
string | null

The physical address of the business

Response

Successful response with updated merchant information.

Serializer for updating core information of a Merchant.

This serializer handles the validation and serialization of the data required to update the core details of a Merchant. It is used in the API endpoint that allows customer support to update merchant information.

Supported Fields: - name: Business name of the merchant. - business_email: Email address used for business communications. - support_email: Contact email address for support inquiries. - tax_identification_number: Unique tax identification number issued by tax authorities. - registration_number: Government-issued registration number with the corporate affairs commission. - address: Physical address of the merchant's business.

name
string
required

The name of the business

Maximum string length: 255
business_email
string<email> | null

Company registration email address

Maximum string length: 254
support_email
string<email> | null

The contact email address of the business, for support if any

Maximum string length: 254
tax_identification_number
string | null

Unique tax identification number issued by federal or inland revenue service

Maximum string length: 40
registration_number
string | null

Government-issued registration number with the CAC

Maximum string length: 40
address
string | null

The physical address of the business